<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\TeilnehmerInfo\TeilnehmerDetails;

use Kufer\KuferTools\Utils\DatamodulHelper\TeilnehmerHelper\TeilnehmerHelper;
use Kufer\Web\KuferTools\Utils\FilterSettings\Teilnehmer\TeilnehmerFilterSettingsHelper;

class TeilnehmerDetailsUseCase extends \Kufer\KuferTools\Basis\TeilnehmerInfo\TeilnehmerDetails\TeilnehmerDetailsUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_MA;
  }

  public static function getToolSectionId()
  {
    return 411;
  }

  protected function getButtons(): array
  {
    $buttonsObj = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\TeilnehmerinfoReiterButtons($this, $this->request, $this->response);

    return $buttonsObj->getButtons();
  }

  protected function getTeilnehmerHelper()
  {
    return TeilnehmerHelper::createMitarbeiterTeinehmerUebersicht(
      $this->toolSettings,
      $this->getUser()
    );
  }
}